> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a skill

> Update an organization skill. When files are provided, they replace the complete file set.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public patch /v1/skills/{skillId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/skills/{skillId}:
    patch:
      tags:
        - Skills
      summary: Update a skill
      description: >-
        Update an organization skill. When files are provided, they replace the
        complete file set.
      operationId: updateSkill
      parameters:
        - in: path
          name: skillId
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                name:
                  type: string
                  minLength: 1
                files:
                  type: array
                  items:
                    type: object
                    properties:
                      content:
                        type: string
                      filename:
                        type: string
                        minLength: 1
                    required:
                      - content
                      - filename
                    additionalProperties: false
                  minItems: 1
              additionalProperties: false
      responses:
        '200':
          description: Update a skill
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  description:
                    type: string
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  updatedAt:
                    type: string
                    format: date-time
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        content:
                          type: string
                        filename:
                          type: string
                        id:
                          type: string
                          format: uuid
                      required:
                        - content
                        - filename
                        - id
                      additionalProperties: false
                required:
                  - createdAt
                  - description
                  - id
                  - name
                  - updatedAt
                  - files
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Skill operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````